import eb_engine

def main():
    e = eb_engine.Engine()
    e.main_loop()

if __name__ == "__main__":
    # pydantic instead of dataclasses?
    # Отрисовка голой сетки, прокрутка, масштаб +
    # Отрисовка спрайтов:
    #  - сделать масштабирование в соотв. с клеткой +
    #  - посмотреть класс спрайта или сделать свой
    #  - добавить отрисовку существ и предметов
    # почитать про Surface, Display, доку к pygame-gui
    # Начало гуя - кнопка, строка ввода, клик
    # Поиск пути
    # Редактор карты
    # Охотник -> деревня
    # Простой, но основательный гуй внизу экрана, глобальная карта и перемещение
    # деревня на соседской локации и торговля с ней
    # перемещение по воде, течение

    # проверить у ллм на ошибки:
    #  - deepcopy
    #  - общие
    main() 